From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-debug/bpftrace/
Date: Tue, 15 Apr 2025 20:34:39 +0000 (UTC) [thread overview]
Message-ID: <1744749112.d37d1849519412492897712e8ddfddc066c46baa.sam@gentoo> (raw)
commit: d37d1849519412492897712e8ddfddc066c46baa
Author: Holger Hoffstätte <holger <AT> applied-asynchrony <DOT> com>
AuthorDate: Tue Apr 15 20:12:53 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 15 20:31:52 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d37d1849
dev-debug/bpftrace: add 0.23.2, add missing blazesym_c dependency
Closes: https://bugs.gentoo.org/953556
Signed-off-by: Holger Hoffstätte <holger <AT> applied-asynchrony.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-debug/bpftrace/Manifest | 2 +
dev-debug/bpftrace/bpftrace-0.23.2.ebuild | 110 ++++++++++++++++++++++++++++++
2 files changed, 112 insertions(+)
diff --git a/dev-debug/bpftrace/Manifest b/dev-debug/bpftrace/Manifest
index b81910693b11..9ec14576bcea 100644
--- a/dev-debug/bpftrace/Manifest
+++ b/dev-debug/bpftrace/Manifest
@@ -8,3 +8,5 @@ DIST bpftrace-0.22.1-man.gh.tar.xz 76024 BLAKE2B 8e3764b38b62dac271a941fd224155b
DIST bpftrace-0.22.1.gh.tar.gz 1125892 BLAKE2B e694f3da7947458ffc1db755e18dfd6be7664fae5573c04cddbc8db802391e834f241827f2be93a981055b26fb13128f88878d1aa17f50420227c7e8b93bd59d SHA512 3bf00f97750092e66bd94b20b3889f29e932f45ae7f75966f1f364013fb9aeaad837617c0a28402fd9323d62773dd3dab0e9749d8dcb9da9c77093f17fce4d91
DIST bpftrace-0.23.0-man.tar.xz 76040 BLAKE2B 040ae555d2e934571d5f05d55947b0a57fce41cb59e9f936430218a7b6bf0319a2b7d09b78ec68d2f3078b77d5434c11235a181833be9057943c2536993ae4bd SHA512 397e697bfdbd4163bc500373adf0f61cd9c30cb41336bfdf24eb846bbc86ae0aabb265719e6fcb2d0261e52d75eacd8b7b08d91f5e616e1d5a6ef2a3829a9f1b
DIST bpftrace-0.23.0.tar.gz 1170815 BLAKE2B 4f30e2db142c2e0684ca1a69d8d2ab30fbf47171971d08bdc48a6d21d2536e6a732391231c6e4d1ce9bf473f89ebc54e796d828d6e1a29c276d539170723e934 SHA512 822cd0a86729e32691705d1a191c86d9b314e8161085621d778559603477432914f1221a94680f1eb37c5c4c2ae7e774044d1daba4704c93d0b812596726c564
+DIST bpftrace-0.23.2-man.tar.xz 76032 BLAKE2B 867f3936872f6acc6ea4d9f804db29f0391600ebf6cf186427ebf78d21bf3cb22c920910e99cae4dae06284ab2dfe4888f009dba3832d969eff310b144a7bdbd SHA512 21618664c144eb6d71f714db1561cddadf3e9c8f34aa4b7fd4e3b81fd6d9628a3f129e58e9aa3c0c3f930ea05a7f9075b53b53e3f00292389c96c02ddd888779
+DIST bpftrace-0.23.2.tar.gz 1171069 BLAKE2B 5df0cb8369f1ab66fbdabc0c221403d9d71a788daa6d6f987d4df5fa7390e55933d1452fdd0fde923ee5570f5a89102abcffc2d626a5e9e0f4dcbc33c0dec636 SHA512 80d7b91c3f80efcc69bea57a254fec2727050cbd39fce12786f796289f1fed92b7d9be91d5e9f5b348709f41cf3cffdf73d2321fbba2e54ff90648ecd8aab85e
diff --git a/dev-debug/bpftrace/bpftrace-0.23.2.ebuild b/dev-debug/bpftrace/bpftrace-0.23.2.ebuild
new file mode 100644
index 000000000000..084316b40746
--- /dev/null
+++ b/dev-debug/bpftrace/bpftrace-0.23.2.ebuild
@@ -0,0 +1,110 @@
+# Copyright 2019-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LLVM_COMPAT=( {16..20} )
+
+inherit cmake linux-info llvm-r1
+
+DESCRIPTION="High-level tracing language for eBPF"
+HOMEPAGE="https://github.com/bpftrace/bpftrace"
+MY_PV="${PV//_/}"
+# the man page version may trail the release
+#MAN_V="0.22.0"
+SRC_URI="
+ https://github.com/bpftrace/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/bpftrace/${PN}/releases/download/v${MAN_V:-${PV}}/man.tar.xz -> ${PN}-${MAN_V:-${PV}}-man.tar.xz
+"
+S="${WORKDIR}/${PN}-${MY_PV:-${PV}}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+KEYWORDS="~amd64"
+IUSE="pcap test systemd"
+
+# lots of fixing needed
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-libs/blazesym_c-0.1.1
+ >=dev-libs/libbpf-1.5:=
+ >=dev-util/bcc-0.25.0:=
+ $(llvm_gen_dep '
+ llvm-core/clang:${LLVM_SLOT}=
+ llvm-core/llvm:${LLVM_SLOT}=[llvm_targets_BPF(+)]
+ ')
+ sys-process/procps
+ sys-libs/binutils-libs:=
+ virtual/libelf:=
+ systemd? ( sys-apps/systemd:= )
+ pcap? ( net-libs/libpcap:= )
+"
+DEPEND="
+ ${RDEPEND}
+ dev-libs/cereal:=
+ test? ( dev-cpp/gtest )
+"
+BDEPEND="
+ app-arch/xz-utils
+ app-alternatives/lex
+ app-alternatives/yacc
+ dev-libs/cereal
+ test? (
+ app-editors/vim-core
+ dev-util/pahole
+ )
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}/bpftrace-0.11.4-old-kernels.patch"
+ "${FILESDIR}/bpftrace-0.21.0-dont-compress-man.patch"
+)
+
+pkg_pretend() {
+ local CONFIG_CHECK="
+ ~BPF
+ ~BPF_EVENTS
+ ~BPF_JIT
+ ~BPF_SYSCALL
+ ~FTRACE_SYSCALLS
+ ~HAVE_EBPF_JIT
+ "
+
+ check_extra_config
+}
+
+src_prepare() {
+ # 0.23 still has LLDB support, but apparently it's problematic,
+ # deprecated and already gone on master.
+ # Remove the configuration check.
+ sed -i "/find_package(LLDB)/d" CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ # DO NOT build the internal libs as shared
+ -DBUILD_SHARED_LIBS=OFF
+ # DO dynamically link the bpftrace executable
+ -DSTATIC_LINKING:BOOL=OFF
+ # bug 809362, 754648
+ -DBUILD_TESTING:BOOL=$(usex test)
+ -DBUILD_FUZZ:BOOL=OFF
+ -DENABLE_MAN:BOOL=OFF
+ -DENABLE_SYSTEMD:BOOL=$(usex systemd)
+ -DENABLE_SKB_OUTPUT:BOOL=$(usex pcap)
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ doman man/man8/*.?
+ gunzip "${WORKDIR}/man/man8/bpftrace.8.gz" || die
+ doman "${WORKDIR}/man/man8/bpftrace.8"
+}
next reply other threads:[~2025-04-15 20:34 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-04-15 20:34 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-15 20:34 [gentoo-commits] repo/gentoo:master commit in: dev-debug/bpftrace/ Sam James
2025-03-27 11:49 Sam James
2025-01-17 18:22 Patrick McLean
2025-01-08 18:33 Patrick McLean
2025-01-06 18:50 Arthur Zamarin
2024-12-17 14:35 Sam James
2024-09-16 23:55 Jakov Smolić
2024-09-16 11:30 Yixun Lan
2024-08-16 3:00 Yixun Lan
2024-07-19 16:20 Patrick McLean
2024-07-13 15:52 Arthur Zamarin
2024-06-28 7:53 Yixun Lan
2024-06-28 7:53 Yixun Lan
2024-06-28 7:53 Yixun Lan
2024-05-21 17:37 Patrick McLean
2024-05-21 15:22 Patrick McLean
2024-03-26 18:19 Patrick McLean
2024-03-17 6:27 Ionen Wolkens
2024-03-16 18:37 Patrick McLean
2024-03-16 18:16 Patrick McLean
2024-03-16 17:04 Patrick McLean
2024-03-02 3:15 Sam James
2024-02-04 13:37 Jakov Smolić
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1744749112.d37d1849519412492897712e8ddfddc066c46baa.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox